%define debug_package %{nil}

Summary:	Undelete files from FAT file systems

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		fatback
Version:	1.3
Release:	1%{?dist}
URL:		https://sourceforge.net/projects/fatback/

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
BuildRequires:	flex
%if 0%{?centos} == 6
BuildRequires:	flex-devel
%else
BuildRequires:	flex-static
%endif

%description
Fatback is a forensic tool for undeleting files from Microsoft FAT
file systems.  Fatback is different from other undelete tools in that
it does the following:

   * Runs under UNIX environments (only Linux and FreeBSD tested so far)

   * Can undelete files automatically

   * Supports Long File Names

   * Supports FAT12, FAT16, and FAT32

   * Powerful interactive mode

   * Recursively undeletes deleted directories

   * Recovers lost cluster chains

   * Works with single partitions or whole disks

   Fatback was developed by the U.S. Department of Defense Computer
Forensics Laboratory (<http://www.dcfl.gov>) and is authorized for
*government and law enforcement use only*.
%prep
%setup -n %{name}-%{version}
%if 0%{?fedora} >= 23
%ifarch x86_64
export CC="gcc -fPIC"
%endif
%endif
%configure --prefix=/usr --mandir=%{_mandir} --bindir=%{_bindir} 

%build
%{__make}

%install
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(444, bin, bin, 0755)
%doc ChangeLog  COPYING AUTHORS INSTALL NEWS README 
%attr(555, bin, bin)	%{_bindir}/fatback
%attr(444, bin, bin)	%{_mandir}/man1/fatback.1.gz
%attr(444, bin, bin)	%{_infodir}/%name-manual.info.gz

%changelog
